%{?!python:%define python python}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define origname TwistedConch

Name:           %{python}-twisted-conch
Version:        0.8.0
Release:        4%{?dist}
Summary:        Twisted SSHv2 implementation

Group:          Development/Libraries
License:        MIT
URL:            http://twistedmatrix.com/trac/wiki/TwistedConch
Source0:        http://tmrc.mit.edu/mirror/twisted/Conch/0.8/TwistedConch-%{version}.tar.bz2 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  %{python}-twisted-core >= 2.5.0
BuildRequires:  python-devel

Requires:       %{python}-twisted-core >= 2.5.0
Requires:       %{python}-crypto

# a noarch-turned-arch package should not have debuginfo
%define debug_package %{nil}

%description
Twisted is an event-based framework for internet applications.

Conch is an SSHv2 implementation written in Python. SSH is a protocol designed
to allow remote access to shells and commands, but it is generic enough to
allow everything from TCP forwarding to generic filesystem access. Since conch
is written in Python, it interfaces well with other Python projects, such as
Imagination. Conch also includes a implementations of the telnet and vt102
protocols, as well as support for rudamentary line editing behaviors. A new
implementation of Twisted's Manhole application is also included, featuring
server-side input history and interactive syntax coloring.

%prep
%setup -n %{origname}-%{version} -q

find doc -name \*.py | xargs chmod a-x

%build

%install
rm -rf $RPM_BUILD_ROOT
# this is a pure python package, but extending the twisted namespace from
# python-twisted-core, which is arch-specific, so it needs to go in sitearch
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT --install-purelib %{python_sitearch}

# Man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp -a doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf doc/man

%clean
rm -rf $RPM_BUILD_ROOT

%post -p %{_libexecdir}/twisted-dropin-cache

%postun -p %{_libexecdir}/twisted-dropin-cache

%files
%defattr(-,root,root,-)
%doc README LICENSE NEWS doc/*
%{_mandir}/man1/*
%{_bindir}/cftp
%{_bindir}/ckeygen
%{_bindir}/conch
%{_bindir}/tkconch

%{python_sitearch}/twisted/conch/

%{python_sitearch}/twisted/plugins/twisted_conch.py*

%if 0%{?fedora} >= 9
  %{python_sitearch}/Conch-%{version}-py2.5.egg-info
%endif

%changelog
* Fri Mar 07 2008 Jesse Keating <jkeating@redhat.com> - 0.8.0-4
- Handle the egg correctly, since the name is odd.

* Fri Mar 07 2008 Jesse Keating <jkeating@redhat.com> - 0.8.0-3
- Drop the pyver stuff, handle egg.

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.0-2
- Autorebuild for GCC 4.3

* Fri Aug 31 2007 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.8.0-1
- new version

* Tue Dec 26 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.0-4
- fixed URL
- added NEWS and LICENSE

* Wed Nov 01 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.0-3
- make doc files non-executable

* Tue Sep 26 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.0-2
- no longer ghost .pyo files
- rebuild dropin.cache

* Wed Jun 07 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.0-1
- update to new upstream release
- remove NoArch, since it is installed into an arch-specific twisted
  namespace

* Fri Sep 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.5.0-3
- normalize crypto name

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.5.0-2
- need twisted to build

* Fri Mar 25 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.5.0-1
- final release

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.5.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.5.0-0.1.a2
- new prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- prep for split

